Block a card
Card
Block a card
Temporarily block the card.
POST
Block a card
Performance expectations:
p50: 500 ms, p99: 2000 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 500 ms, p99: 2000 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'Path Parameters
Response
Operation status
The response is of type object.